<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>184720</bug_id>
          
          <creation_ts>2007-07-09 11:53 0000</creation_ts>
          <short_desc>sys-cluster/drbd-8.0.5 fails to compile when KBUILD_OUTPUT is used</short_desc>
          <delta_ts>2007-08-16 16:35:00 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>natanael.copa@gmail.com</reporter>
          <assigned_to>ha-cluster@gentoo.org</assigned_to>
          

      

      
          <long_desc isprivate="0">
            <who>natanael.copa@gmail.com</who>
            <bug_when>2007-07-09 11:53:42 0000</bug_when>
            <thetext>gcc -g -O2 -c -W -Wall -I../drbd -I/usr/src/linux/include -fno-strict-aliasing   -c -o drbd_strings.o drbd_strings.c
gcc -o drbdsetup drbdsetup.o drbdtool_common.o drbd_buildtag.o drbd_strings.o
make[1]: Leaving directory `/var/tmp/portage/sys-cluster/drbd-8.0.4/work/drbd-8.0.4/user&apos;
make[1]: Entering directory `/var/tmp/portage/sys-cluster/drbd-8.0.4/work/drbd-8.0.4/scripts&apos;
make[1]: Nothing to be done for `all&apos;.
make[1]: Leaving directory `/var/tmp/portage/sys-cluster/drbd-8.0.4/work/drbd-8.0.4/scripts&apos;
make[1]: Entering directory `/var/tmp/portage/sys-cluster/drbd-8.0.4/work/drbd-8.0.4/documentation&apos;
To (re)make the documentation: make doc
make[1]: Leaving directory `/var/tmp/portage/sys-cluster/drbd-8.0.4/work/drbd-8.0.4/documentation&apos;

        Userland tools build was successful.
Could not determine uts_release
make: *** [module] Error 1

!!! ERROR: sys-cluster/drbd-8.0.4 failed.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>natanael.copa@gmail.com</who>
            <bug_when>2007-07-09 11:54:44 0000</bug_when>
            <thetext>This fixes it. I dont know if the change is needed for 2.4 kernels since i dont have one to test on.

--- drbd-8.0.4.ebuild.orig      2007-07-09 11:51:16 +0000
+++ drbd-8.0.4.ebuild   2007-07-09 11:52:05 +0000
@@ -39,10 +39,10 @@
        linux_chkconfig_present
 
        if kernel_is 2 6; then
-               emake -j1 KDIR=${KERNEL_DIR} || die &quot;compile problem&quot;
+               emake -j1 KDIR=${KERNEL_DIR} O=${KBUILD_OUTPUT} || die &quot;compile problem&quot;
        else
                cp -R /usr/src/linux-${KV} ${WORKDIR}
-               emake -j1 KDIR=/${WORKDIR}/linux-${KV} || die &quot;compile problem&quot;
+               emake -j1 KDIR=/${WORKDIR}/linux-${KV} O=${KBUILD_OUTPUT} || die &quot;compile problem&quot;
        fi
 }
 
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>natanael.copa@gmail.com</who>
            <bug_when>2007-08-16 13:03:09 0000</bug_when>
            <thetext>Is this a big issue to fix?
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>xmerlin@gentoo.org</who>
            <bug_when>2007-08-16 16:35:00 0000</bug_when>
            <thetext>Fixed in cvs, thanks.</thetext>
          </long_desc>
      
    </bug>

</bugzilla>